Position in EJ2 JavaScript Toast control

23 Jun 202321 minutes to read

The toast position can be updated based on predefined positions or customizable positions. The predefined position combinations are updated in the X and Y position properties.

Predefined

X Positions

  • Left
  • Center
  • Right

Y Positions

  • Top
  • Bottom

In multiple toast display, the new toast position will not be updated on dynamic change of property values until the old toast messages removed.
The toast occupies full width when you set the width to ‘100%’, so the X positions will not affect the changes when the width is ‘100%’.

Custom

Custom X and Y positions can be given as pixels/numbers/percentage. The number value is considered as pixels based on the top and left values updated in the toast.

ej.base.enableRipple(true);

//Initialize Toast component
var toast = new ej.notifications.Toast({
    title: 'Matt sent you a friend request',
    content: 'You have a new friend request yet to accept',
    target: document.body,
    icon: 'e-laura',
    position: { X: 'Right', Y: 'Bottom' }
});
//Render initialized Toast component
toast.appendTo('#element');
toast.show();

var listObj = new ej.dropdowns.DropDownList({
    index: 5,
    // set the placeholder to DropDownList input element
    placeholder: 'Select a position',
    // set the height of the popup element
    popupHeight: '200px',
    // bind the change event
    change: valueChange
});
listObj.appendTo('#position');

var radioButton = new ej.buttons.RadioButton({ label: 'Target', name: 'toast', value: 'Target', change: checkboxChange });
radioButton.appendTo('#radio1');

var radioButton1 = new ej.buttons.RadioButton({ label: 'Global', name: 'toast', value: 'Global', checked: true, change: checkboxChange1 });
radioButton1.appendTo('#radio2');

var radioButton2 = new ej.buttons.RadioButton({ label: 'Position', name: 'toastPos', value: 'Position', checked: true, change: checkboxChange2 });
radioButton2.appendTo('#dropdownRadio');

var radioButton3 = new ej.buttons.RadioButton({ label: 'Custom', name: 'toastPos', value: 'Custom', change: checkboxChange3 });
radioButton3.appendTo('#customRedio');

function toastShow(timeOutDelay) {
    setTimeout(
        function () {
            toast.show();
        }, timeOutDelay);
}

document.getElementById('show_Toast').onclick = function () {
    if (customFlag) {
        setcustomPosValue();
    }
    toast.show();
};

document.getElementById('hideToast').onclick = function () {
    toast.hide('All');
};
var customFlag = false;

function checkboxChange(e) {
    if (this.checked) {
        toast.hide('All');
        toast.target = '#toast_pos_target';
        toastShow(1000);
    }
}

function checkboxChange1(e) {
    if (this.checked) {
        toast.hide('All');
        toast.target = document.body;
        toastShow(1000);
    }
}

function checkboxChange2(e) {
    if (this.checked) {
        toast.hide('All');
        document.getElementById('dropdownChoose').style.display = 'table-cell';
        document.getElementById('customChoose').style.display = 'none';
        setToastPosValue(listObj.value.toString()); customFlag = false; toastShow(1000);
    }
}

function checkboxChange3(e) {
    if (this.checked) {
        toast.hide('All');
        document.getElementById('dropdownChoose').style.display = 'none';
        document.getElementById('customChoose').style.display = 'table-cell';
        setcustomPosValue(); customFlag = true; toastShow(1000);
    }
}

//Setting Toast Custom Position
function setcustomPosValue() {
    toast.position.X = parseInt((document.getElementById('xPos')).value, 10);
    toast.position.Y = parseInt((document.getElementById('yPos')).value, 10);
}

//Setting Toast Position
function setToastPosValue(value) {
    switch (value) {
        case 'topleft':
            toast.position.X = 'Left'; toast.position.Y = 'Top'; break;
        case 'topright':
            toast.position.X = 'Right'; toast.position.Y = 'Top'; break;
        case 'topcenter':
            toast.position.X = 'Center'; toast.position.Y = 'Top'; break;
        case 'topfullwidth':
            toast.width = '100%'; toast.position.X = 'Center'; toast.position.Y = 'Top'; break;
        case 'bottomleft':
            toast.position.X = 'Left'; toast.position.Y = 'Bottom'; break;
        case 'bottomright':
            toast.position.X = 'Right'; toast.position.Y = 'Bottom'; break;
        case 'bottomcenter':
            toast.position.X = 'Center'; toast.position.Y = 'Bottom'; break;
        case 'bottomfullwidth':
            toast.width = '100%'; toast.position.X = 'Center'; toast.position.Y = 'Bottom'; break;
    }
}

function valueChange(e) {
    toast.hide('All'); setToastPosValue(e.value.toString()); toastShow(1000);
}
<!DOCTYPE html>
<html lang="en">

<head>
    <title>Essential JS 2 Toast</title>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta name="description" content="Typescript Toolbar Controls" />
    <meta name="author" content="Syncfusion" />
    <link href="index.css" rel="stylesheet" />
    <link href="https://cdn.syncfusion.com/ej2/32.1.19/material.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/systemjs/0.19.38/system.js"></script>
<script src="https://cdn.syncfusion.com/ej2/syncfusion-helper.js" type ="text/javascript"></script>
</head>

<body>
    <div id='loader'>LOADING....</div>
    <div id='container'>
        <div id='element'></div>
        <div class='row' style="padding-top: 20px" id= "toast_pos_target">
            <div id="toast_pos"> </div>
            <div id="toast_pos_property">
                <table style="width: 100%">
                    <tr>
                        <td>
                            <div style='padding:25px 0 0 0;'>
                                <input id="dropdownRadio" type="radio">
                            </div>
                        </td>
                        <td>
                            <div style='padding:25px 0 0 0;'>
                                <input id="customRedio" type="radio">
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td id="dropdownChoose" colspan="2">
                            <div id="dropdown" style='padding-top:25px;'>
                                <select id="position">
                                    <option value="topleft">Top Left</option>
                                    <option value="topright">Top Right</option>
                                    <option value="topcenter">Top Center</option>
                                    <option value="bottomleft">Bottom Left</option>
                                    <option value="bottomright">Bottom Right</option>
                                    <option value="bottomcenter">Bottom Center</option>
                                </select>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" id="customChoose" style="display: none">
                            <form id="formId" class="form-horizontal">
                                <div class='e-row'>
                                    <div class="e-float-input">
                                        <input class="e-input" id="xPos" name="Digits" value=50 digits="true" data-digits-message="Please enter digits only." required="">
                                        <span class="e-float-line"></span>
                                        <label class="e-float-text" for="Digits">X Position</label>
                                    </div>
                                </div>
                                <div class='e-row'>
                                    <div class="e-float-input">
                                        <input class="e-input" id="yPos" name="Digits" value=50 digits="true" data-digits-message="Please enter digits only." required="">
                                        <span class="e-float-line"></span>
                                        <label class="e-float-text" for="Digits">Y Position</label>
                                    </div>
                                </div>
                            </form>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div style='padding:25px 0 0 0;'>
                                <input id="radio1" type="radio">
                            </div>
                        </td>
                        <td>
                            <div style='padding:25px 0 0 0;'>
                                <input id="radio2" type="radio">
                            </div>
                        </td>
                    </tr>
                </table>
                <div id="toast_btn" style="padding-top: 25px">
                    <button class="e-btn e-control" id="show_Toast" style="margin-right: 15px"> Show Toast </button>
                    <button class="e-btn e-control" id="hideToast"> Hide All </button>
                </div>
            </div>
        </div>
    </div>

    <script>
        var ele = document.getElementById('container');
        if(ele) {
          ele.style.visibility = "visible";
        }   
              </script>
        <script src="index.js" type="text/javascript"></script>
</body>

</html>

See Also

Position in Vue Toaster

21 Aug 202624 minutes to read

The toast position can be updated based on predefined positions or customizable positions. The predefined position combinations are updated in the X and Y position properties.

Predefined

X Positions

  • Left
  • Center
  • Right

Y Positions

  • Top
  • Bottom

In multiple toast display, the new toast position will not be updated on dynamic change of property values until the old toast messages removed.
The toast occupies full width when you set the width to ‘100%’, so the X positions will not affect the changes when the width is ‘100%’.

Custom

Custom X and Y positions can be given as pixels/numbers/percentage. The number value is considered as pixels based on the top and left values updated in the toast.

<template>
   <div>
     <div class="col-lg-12 control-section toast-pos-section" style="max-width: 300px;">
       <div class="e-sample-resize-container" id="toast_pos_target">
        <ejs-toast ref='toastRef' id='toast_pos' :position='position' :target='target' title='Matt sent you a friend request' content='Hey, wanna dress up as wizards and ride our hoverboards?' icon='e-laura' :created='created'></ejs-toast>
        <div id="toast_pos_target">
            <table style="width: 100%">
                <tbody><tr>
                    <td>
                        <div style="padding:25px 0 0 0;">
                            <ejs-radiobutton id='dropdownRadio' label="Position" name="toastPos" value="Position" checked="true" :change='checkboxChange2' ></ejs-radiobutton>
                        </div>
                    </td>
                    <td>
                        <div style="padding:25px 0 0 0;">
                         <ejs-radiobutton id='customRedio' label="Custom" name="toastPos" value="Custom" :change='checkboxChange3'></ejs-radiobutton>
                         </div>
                    </td>
                </tr>
                <tr>
                    <td id="dropdownChoose" colspan="2">
                        <div id="dropdown" style="padding-top:25px;">
                         <ejs-dropdownlist ref='positionDropRef' id='position' :dataSource='dropData' :fields='dropFields'
                        placeholder='Select a position' :change='valueChange' :value='dropValue' popupHeight='200px' index=5></ejs-dropdownlist>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" id="customChoose" style="display: none">
                        <form id="formId" class="form-horizontal">
                            <div class="e-row">
                                <div class="e-float-input">
                                    <input class="e-input" id="xPos" name="Digits" value="50" digits="true" data-digits-message="Please enter digits only." required="">
                                    <span class="e-float-line"></span>
                                    <label class="e-float-text" for="Digits">X Position</label>
                                </div>
                            </div>
                            <div class="e-row">
                                <div class="e-float-input">
                                    <input class="e-input" id="yPos" name="Digits" value="50" digits="true" data-digits-message="Please enter digits only." required="">
                                    <span class="e-float-line"></span>
                                    <label class="e-float-text" for="Digits">Y Position</label>
                                </div>
                            </div>
                        </form>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div style="padding:25px 0 0 0;">
                            <ejs-radiobutton id='radio1' label="Target" name="toast" value="Target" :change='checkboxChange' ></ejs-radiobutton>
                        </div>
                    </td>
                    <td>
                        <div style="padding:25px 0 0 0;">
                             <ejs-radiobutton id='radio2' label="Global" name="toast" value="Global" checked="true" :change='checkboxChange1' ></ejs-radiobutton>
                        </div>
                    </td>
                </tr>
            </tbody></table>
            <div id="toast_btn" style="padding-top: 25px">
                <ejs-button ref='showButtonRef' class="e-btn e-control" id="show_Toast" style="margin-right: 15px" v-on:click="showClicked">Show Toast</ejs-button>
                <ejs-button class="e-btn e-control" id="hideTosat" v-on:click="hideClicked">Hide All</ejs-button>
            </div>
        </div>
        </div>
    </div>
    </div>
    </template>

<script setup>

import { ToastComponent as EjsToast } from "@syncfusion/ej2-vue-notifications";
import { DropDownListComponent as EjsDropdownlist } from '@syncfusion/ej2-vue-dropdowns';
import { ButtonComponent as EjsButton, RadioButtonComponent as EjsRadiobutton } from '@syncfusion/ej2-vue-buttons';
import { isNullOrUndefined } from '@syncfusion/ej2-base';
import { ref, onMounted } from "vue";

const toastRef = ref(null);
const positionDropRef = ref(null);
const showButtonRef = ref(null);

const position = { X: 'Right', Y: 'Bottom' };
const target = document.body;
const dropData = [
    { Id: 'topleft', Text: 'Top Left' },
    { Id: 'topright', Text: 'Top Right' },
    { Id: 'topcenter', Text: 'Top Center' },
    { Id: 'topfullwidth', Text: 'Top Full Width' },
    { Id: 'bottomleft', Text: 'Bottom Left' },
    { Id: 'bottomright', Text: 'Bottom Right' },
    { Id: 'bottomcenter', Text: 'Bottom Center' },
    { Id: 'bottomfullwidth', Text: 'Bottom Full Width' }
];
const dropFields = { text: 'Text', value: 'Id' };
const dropValue = 'bottomright';

let initialWid;
let customFlag;
let obj;

onMounted(() => {
    setTimeout(() => {
        toastShow(200);
    },200);
    initialWid = toastRef.value.ej2Instances.width.toString();
    customFlag = false;
    obj = document.getElementById("toast_pos").ej2_instances[0];
});

const valueChange = function(e){
    toastRef.value.hide('All');
    setToastPosValue(e.value.toString());
    toastShow(1000);
};

const toastShow = function(args){
    setTimeout(() => {
        toastRef.value.show();
    },args);
};

const checkboxChange = function(args){
    var checkboxObj = args.event.target.ej2_instances[0];
    if (checkboxObj.checked) {
        toastRef.value.hide('All');
        obj.target = '#toast_pos_target';
        toastShow(1000);
    }
};

const checkboxChange1 = function(args){
    var checkboxObj = args.event.target.ej2_instances[0];
    if (checkboxObj.checked) {
        toastRef.value.hide('All');
        obj.target = document.body;
        toastShow(1000);
    }
};

const checkboxChange2 = function(args){
    var checkboxObj = args.event.target.ej2_instances[0];
    if (checkboxObj.checked) {
        toastRef.value.hide('All');
        document.getElementById('dropdownChoose').style.display = 'table-cell';
        document.getElementById('customChoose').style.display = 'none';
        setToastPosValue(positionDropRef.value.toString());
        customFlag = false;
        toastShow(1000);
    }
};

const checkboxChange3 = function(args){
    var checkboxObj = args.event.target.ej2_instances[0];
    if (checkboxObj.checked) {
        toastRef.value.hide('All');
        document.getElementById('dropdownChoose').style.display = 'none';
        document.getElementById('customChoose').style.display = 'table-cell';
        setcustomPosValue();
        customFlag = true;
        toastShow(1000);
    }
};

const showClicked = function(){
    if (customFlag) {
        setcustomPosValue();
    }
    toastRef.value.show();
};

const hideClicked = function(){
    toastRef.value.hide('All');
};

const setcustomPosValue = function(){
    obj.width = initialWid;
    obj.position.X = parseInt(document.getElementById('xPos').value, 10);
    obj.position.Y = parseInt(document.getElementById('yPos').value, 10);
};

const setToastPosValue = function(value){
    obj.width = initialWid;
    switch (value) {
        case 'topleft':
            obj.position.X = 'Left'; obj.position.Y = 'Top'; break;
        case 'topright':
            obj.position.X = 'Right'; obj.position.Y = 'Top'; break;
        case 'topcenter':
            obj.position.X = 'Center'; obj.position.Y = 'Top'; break;
        case 'topfullwidth':
            obj.width = '100%'; obj.position.X = 'Center'; obj.position.Y = 'Top'; break;
        case 'bottomleft':
            obj.position.X = 'Left'; obj.position.Y = 'Bottom'; break;
        case 'bottomright':
            obj.position.X = 'Right'; obj.position.Y = 'Bottom'; break;
        case 'bottomcenter':
            obj.position.X = 'Center'; obj.position.Y = 'Bottom'; break;
        case 'bottomfullwidth':
            obj.width = '100%'; obj.position.X = 'Center'; obj.position.Y = 'Bottom'; break;
    }
};

const created = function(){
    document.addEventListener('click', function() {
        if (!isNullOrUndefined(toastRef.value) && event.target !== showButtonRef.value.$el &&  toastRef.value.target === document.body) {
            toastRef.value.hide('All');
        }
    });
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-notifications/styles/material.css";
</style>

<style lang="scss">
     .toast-pos-section #toast_pos_property {
        height: 500px;
        border: none;
        margin: auto;
    }

    #toast_pos_property td {
        width: 50%;
    }

    .e-toast-icon.e-laura.e-icons {
        border-radius: 50%;
        background-repeat: no-repeat;
        background-size: contain;
        background-image: url(https://ej2.syncfusion.com/vue/demos/src/toast/resource/laura.png);
        height: 48px !important;
        margin: 0;
        width: 69px;
    }


    @media (min-width: 740px) {
        #toast_pos_property {
            width: 450px;
        }
    }

</style>
<template>
   <div>
     <div class="col-lg-12 control-section toast-pos-section" style="max-width: 300px;">
       <div class="e-sample-resize-container" id="toast_pos_target">
        <ejs-toast ref='toastRef' id='toast_pos' :position='position' :target='target' title='Matt sent you a friend request' content='Hey, wanna dress up as wizards and ride our hoverboards?' icon='e-laura' :created='created'></ejs-toast>
        <div id="toast_pos_target">
            <table style="width: 100%">
                <tbody><tr>
                    <td>
                        <div style="padding:25px 0 0 0;">
                            <ejs-radiobutton id='dropdownRadio' label="Position" name="toastPos" value="Position" checked="true" :change='checkboxChange2' ></ejs-radiobutton>
                        </div>
                    </td>
                    <td>
                        <div style="padding:25px 0 0 0;">
                         <ejs-radiobutton id='customRedio' label="Custom" name="toastPos" value="Custom" :change='checkboxChange3'></ejs-radiobutton>
                         </div>
                    </td>
                </tr>
                <tr>
                    <td id="dropdownChoose" colspan="2">
                        <div id="dropdown" style="padding-top:25px;">
                         <ejs-dropdownlist ref='positionDropRef' id='position' :dataSource='dropData' :fields='dropFields'
                        placeholder='Select a position' :change='valueChange' :value='dropValue' popupHeight='200px' index=5></ejs-dropdownlist>
                        </div>
                    </td>
                </tr>
                <tr>
                    <td colspan="2" id="customChoose" style="display: none">
                        <form id="formId" class="form-horizontal">
                            <div class="e-row">
                                <div class="e-float-input">
                                    <input class="e-input" id="xPos" name="Digits" value="50" digits="true" data-digits-message="Please enter digits only." required="">
                                    <span class="e-float-line"></span>
                                    <label class="e-float-text" for="Digits">X Position</label>
                                </div>
                            </div>
                            <div class="e-row">
                                <div class="e-float-input">
                                    <input class="e-input" id="yPos" name="Digits" value="50" digits="true" data-digits-message="Please enter digits only." required="">
                                    <span class="e-float-line"></span>
                                    <label class="e-float-text" for="Digits">Y Position</label>
                                </div>
                            </div>
                        </form>
                    </td>
                </tr>
                <tr>
                    <td>
                        <div style="padding:25px 0 0 0;">
                            <ejs-radiobutton id='radio1' label="Target" name="toast" value="Target" :change='checkboxChange' ></ejs-radiobutton>
                        </div>
                    </td>
                    <td>
                        <div style="padding:25px 0 0 0;">
                             <ejs-radiobutton id='radio2' label="Global" name="toast" value="Global" checked="true" :change='checkboxChange1' ></ejs-radiobutton>
                        </div>
                    </td>
                </tr>
            </tbody></table>
            <div id="toast_btn" style="padding-top: 25px">
                <ejs-button ref='showButtonRef' class="e-btn e-control" id="show_Toast" style="margin-right: 15px" v-on:click="showClicked">Show Toast</ejs-button>
                <ejs-button class="e-btn e-control" id="hideTosat" v-on:click="hideClicked">Hide All</ejs-button>
            </div>
        </div>
        </div>
    </div>
    </div>
    </template>

<script>

import { ToastComponent } from "@syncfusion/ej2-vue-notifications";
import { DropDownListComponent } from '@syncfusion/ej2-vue-dropdowns';
import { ButtonComponent, RadioButtonComponent } from '@syncfusion/ej2-vue-buttons';
import { isNullOrUndefined } from '@syncfusion/ej2-base';

export default {
name: "App",
components: {
"ejs-toast":ToastComponent,
"ejs-radiobutton":RadioButtonComponent,
"ejs-dropdownlist":DropDownListComponent,
"ejs-button":ButtonComponent,

},

  data: function(){
    return {
        position:  { X: 'Right', Y: 'Bottom' },
        target: document.body,
        dropData: [
            { Id: 'topleft', Text: 'Top Left' },
            { Id: 'topright', Text: 'Top Right' },
            { Id: 'topcenter', Text: 'Top Center' },
            { Id: 'topfullwidth', Text: 'Top Full Width' },
            { Id: 'bottomleft', Text: 'Bottom Left' },
            { Id: 'bottomright', Text: 'Bottom Right' },
            { Id: 'bottomcenter', Text: 'Bottom Center' },
            { Id: 'bottomfullwidth', Text: 'Bottom Full Width' }
        ],
        dropFields: { text: 'Text', value: 'Id' },
        dropValue: 'bottomright'
    }
  },
  mounted: function() {
      setTimeout(() => {
            this.toastShow(200);
        },200);
        this.initialWid = this.$refs.toastRef.ej2Instances.width.toString();
        this.customFlag = false;
        this.obj = document.getElementById("toast_pos").ej2_instances[0];
  },
  methods: {
      valueChange: function(e){
         this.$refs.toastRef.hide('All');
         this.setToastPosValue(e.value.toString());
         this.toastShow(1000);
       },
       toastShow: function(args){
         setTimeout(() => {
             this.$refs.toastRef.show();
            },args);
       },
       checkboxChange: function(args){
            var checkboxObj = args.event.target.ej2_instances[0];
            if (checkboxObj.checked) {
                this.$refs.toastRef.hide('All');
                this.obj.target = '#toast_pos_target';
                this.toastShow(1000);
            }
       },
       checkboxChange1: function(args){
          var checkboxObj = args.event.target.ej2_instances[0];
            if (checkboxObj.checked) {
                this.$refs.toastRef.hide('All');
                this.obj.target = document.body;
                this.toastShow(1000);
            }
       },
       checkboxChange2: function(args){
            var checkboxObj = args.event.target.ej2_instances[0];
            if (checkboxObj.checked) {
                this.$refs.toastRef.hide('All');
                document.getElementById('dropdownChoose').style.display = 'table-cell';
                document.getElementById('customChoose').style.display = 'none';
                this.setToastPosValue(this.$refs.positionDropRef.value.toString());
                this.customFlag = false;
                this.toastShow(1000);
        }
       },
       checkboxChange3: function(args){
            var checkboxObj = args.event.target.ej2_instances[0];
            if (checkboxObj.checked) {
            this.$refs.toastRef.hide('All');
            document.getElementById('dropdownChoose').style.display = 'none';
            document.getElementById('customChoose').style.display = 'table-cell';
            this.setcustomPosValue();
            this.customFlag = true;
            this.toastShow(1000);
        }
       },
       showClicked: function(){
           if (this.customFlag) {
              this.setcustomPosValue();
        }
        this.$refs.toastRef.show();
       },
       hideClicked: function(){
           this.$refs.toastRef.hide('All');
       },
        setcustomPosValue: function(){
           this.obj.width = this.initialWid;
           this.obj.position.X = parseInt(document.getElementById('xPos').value, 10);
           this.obj.position.Y = parseInt(document.getElementById('yPos').value, 10);
       },
       setToastPosValue: function(value){
           this.obj.width = this.initialWid;
           switch (value) {
            case 'topleft':
                this.obj.position.X = 'Left'; this.obj.position.Y = 'Top'; break;
            case 'topright':
                this.obj.position.X = 'Right'; this.obj.position.Y = 'Top'; break;
            case 'topcenter':
                this.obj.position.X = 'Center'; this.obj.position.Y = 'Top'; break;
            case 'topfullwidth':
                this.obj.width = '100%'; this.obj.position.X = 'Center'; this.obj.position.Y = 'Top'; break;
            case 'bottomleft':
                this.obj.position.X = 'Left'; this.obj.position.Y = 'Bottom'; break;
            case 'bottomright':
                this.obj.position.X = 'Right'; this.obj.position.Y = 'Bottom'; break;
            case 'bottomcenter':
                this.obj.position.X = 'Center'; this.obj.position.Y = 'Bottom'; break;
            case 'bottomfullwidth':
                this.obj.width = '100%'; this.obj.position.X = 'Center'; this.obj.position.Y = 'Bottom'; break;
        }
       },
       created: function(){
            document.addEventListener('click', function() {
               if (!isNullOrUndefined(this.$refs.toastRef) && event.target !== this.$refs.showButtonRef.$el &&  this.$refs.toastRef.target === document.body) {
                   this.$refs.toastRef.hide('All');
               }
            }.bind(this));
        }
   }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-notifications/styles/material.css";
</style>

<style lang="scss">
     .toast-pos-section #toast_pos_property {
        height: 500px;
        border: none;
        margin: auto;
    }

    #toast_pos_property td {
        width: 50%;
    }

    .e-toast-icon.e-laura.e-icons {
        border-radius: 50%;
        background-repeat: no-repeat;
        background-size: contain;
        background-image: url(https://ej2.syncfusion.com/vue/demos/src/toast/resource/laura.png);
        height: 48px !important;
        margin: 0;
        width: 69px;
    }


    @media (min-width: 740px) {
        #toast_pos_property {
            width: 450px;
        }
    }

</style>

See Also

Position in Angular Toast

14 Aug 202618 minutes to read

Toast position can be updated based on predefined positions or user customizable positions. Predefined position combinations are updated in X and Y position properties.

Predefined

X Positions

  • Left
  • Center
  • Right

Y Positions

  • Top
  • Bottom

In the case of multiple Toast display, new Toast position will not update on dynamic change of property values, until the old Toast messages removed.
Toast occupies full width when we set width as ‘100%’, so X positions won’t affect changes when ‘100%’ width.

Custom

Custom X and Y Position can be given as pixels/numbers/percentage. The number value is considered as pixels. based value top and left value updated in the toast.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { ToastModule } from '@syncfusion/ej2-angular-notifications'
import { ButtonModule, CheckBoxModule , RadioButtonModule } from '@syncfusion/ej2-angular-buttons'
import { DropDownListModule } from '@syncfusion/ej2-angular-dropdowns'
import { DatePickerModule } from '@syncfusion/ej2-angular-calendars'

import { Component, ViewChild } from '@angular/core';
import { DropDownList } from '@syncfusion/ej2-angular-dropdowns';
import { ToastComponent } from '@syncfusion/ej2-angular-notifications';

@Component({
imports: [
         ToastModule, ButtonModule, CheckBoxModule , RadioButtonModule, DropDownListModule, DatePickerModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
        <div id="toast_target"></div>
        <div id='sample_container'>
        <div id='container'>
          <div class='row' style="padding-top: 20px" id= "toast_pos_target">
            <div id="toast_pos"> </div>
            <div id="toast_pos_property">
                <table style="width: 100%">
                    <tr>
                        <td>
                            <div style='padding:25px 0 0 0;'>
                                <ejs-radiobutton (change)="positionChange($event)" label="Position" name="position" value="position" checked="true"></ejs-radiobutton>
                            </div>
                        </td>
                        <td>
                            <div style='padding:25px 0 0 0;'>
                                <ejs-radiobutton (change)="customePosition($event)" label="Custom" name="position" value="position"></ejs-radiobutton>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td id="dropdownChoose" colspan="2">
                            <div id="dropdown" style='padding-top:25px;'>
<ejs-dropdownlist #dropDown (change)="dropDownChange($event)"  [dataSource]='dropdownDB' index='4'>
            </ejs-dropdownlist>
                            </div>
                        </td>
                    </tr>
                    <tr>
                        <td colspan="2" id="customChoose" style="display: none">
                            <form id="formId" class="form-horizontal">
                                <div class='e-row'>
                                    <div class="e-float-input">
                                        <input class="e-input" id="xPos" name="Digits" value=50 digits="true" data-digits-message="Please enter digits only." required="">
                                        <span class="e-float-line"></span>
                                        <label class="e-float-text" for="Digits">X Position</label>
                                    </div>
                                </div>
                                <div class='e-row'>
                                    <div class="e-float-input">
                                        <input class="e-input" id="yPos" name="Digits" value=50 digits="true" data-digits-message="Please enter digits only." required="">
                                        <span class="e-float-line"></span>
                                        <label class="e-float-text" for="Digits">Y Position</label>
                                    </div>
                                </div>
                            </form>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            <div style='padding:25px 0 0 0;'>
                                <ejs-radiobutton (change)="targetChange($event)" label="Target" name="target" value="Bottom"></ejs-radiobutton>
                            </div>
                        </td>
                        <td>
                            <div style='padding:25px 0 0 0;'>
                                <ejs-radiobutton (change)="globalTargetChange($event)" label="Global" name="target" value="Bottom" checked="true"></ejs-radiobutton>
                            </div>
                        </td>
                    </tr>
                </table>
                <div id="toast_btn" style="padding-top: 25px">
                  <button ejs-button [isPrimary]="true" (click)="btnClick($event)">Show Toast</button>
                </div>
            </div>
        </div>
        </div></div>

        <ejs-toast #element (created)="onCreate($event)"  [position] = 'position' >
              <ng-template #title>
                  <div>Matt sent you a friend request</div>
              </ng-template>
              <ng-template #content>
                  <div>Hey, wanna dress up as wizards and ride our hoverboards?</div>
              </ng-template>
            </ejs-toast>
        `
})

export class AppComponent {
    @ViewChild('element') toastObj?: ToastComponent;
    @ViewChild('dropDown') dropDownList?: DropDownList;

    public position = { X: 'Right', Y: 'Bottom' };
    public dropdownDB = ['Top Left', 'Top Right', 'Top Center', 'Bottom Left', 'Bottom Right', 'Bottom Center' ];
    public customFlag = false;

    onCreate(args: any) {
      this.toastShow();
    }
    btnClick(args: any) {
    if (this.customFlag) {
        this.setcustomPosValue();
    }
    this.toastObj?.hide('All');
    this.toastShow();
    }

    positionChange(e: any) {
      if (e.event.target.checked) {
        this.toastObj?.hide('All');
        (document.getElementById('dropdownChoose') as HTMLElement).style.display = 'table-cell';
        (document.getElementById('customChoose') as HTMLElement ).style.display = 'none';
        this.setToastPosValue((this.dropDownList as DropDownList).value.toString());
        this.customFlag = false;
        this.toastShow();
      }
    }

    customePosition(e: any) {
      if (e.event.target.checked) {
        this.toastObj?.hide('All');
        (document.getElementById('dropdownChoose') as HTMLElement ).style.display = 'none';
        (document.getElementById('customChoose') as HTMLElement).style.display = 'table-cell';
        this.setcustomPosValue();
        this.customFlag = true;
        this.toastShow();
      }
    }

    dropDownChange(e: any) {
    this.toastObj?.hide('All');
    this.setToastPosValue(e.value);
    this.toastShow();
    }
    globalTargetChange(e: any) {
      if (e.event.target.checked) {
        this.toastObj?.hide('All');
        this.toastObj!.target = document.body;
        this.toastShow();
      }
    }

    targetChange(e: any) {
      if (e.event.target.checked) {
        this.toastObj?.hide('All');
        this.toastObj!.target = '#toast_pos_target';
        this.toastShow();
      }
    }

     setcustomPosValue(): void {
    this.toastObj!.position.X = parseInt((<any>document.getElementById('xPos')).value, 10);
    this.toastObj!.position.Y = parseInt((<any>document.getElementById('yPos')).value, 10);
     }

 setToastPosValue(value: string): void {
    value = value.toLowerCase().replace(' ', '');
    let toastObj: ToastComponent = this.toastObj as ToastComponent;
    switch (value) {
        case 'topleft':
            toastObj.position.X = 'Left'; toastObj.position.Y = 'Top'; break;
        case 'topright':
            toastObj.position.X = 'Right'; toastObj.position.Y = 'Top'; break;
        case 'topcenter':
            toastObj.position.X = 'Center'; toastObj.position.Y = 'Top'; break;
        case 'topfullwidth':
            toastObj.width = '100%'; toastObj.position.X = 'Center'; toastObj.position.Y = 'Top'; break;
        case 'bottomleft':
            toastObj.position.X = 'Left'; toastObj.position.Y = 'Bottom'; break;
        case 'bottomright':
            toastObj.position.X = 'Right'; toastObj.position.Y = 'Bottom'; break;
        case 'bottomcenter':
            toastObj.position.X = 'Center'; toastObj.position.Y = 'Bottom'; break;
        case 'bottomfullwidth':
            toastObj.width = '100%'; toastObj.position.X = 'Center'; toastObj.position.Y = 'Bottom'; break;
    }
}

    toastShow() {
            setTimeout(
        () => {
            this.toastObj?.show();
        }, 700);
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

See Also

Position in React Toast

Configure where toasts appear on the screen using predefined positions or custom coordinate values. Position settings determine toast placement relative to the viewport or target container, affecting user attention and notification visibility.

Predefined positions

Toast supports nine predefined position combinations using the position property:

Horizontal alignment (X):

  • Left - Aligns toast to the left edge
  • Center - Centers toast horizontally
  • Right - Aligns toast to the right edge

Vertical alignment (Y):

  • Top - Positions toast at the top
  • Bottom - Positions toast at the bottom

Combine X and Y values to create position combinations (e.g., Top-Left, Center-Bottom).

Note: When multiple toasts display simultaneously, position changes only apply to newly displayed toasts. Existing toasts retain their original positions until dismissed. If toast width is set to 100%, X position values have no effect.

Custom positions

For non-standard positioning, specify custom X and Y coordinates using pixels, numbers, or percentages. Numeric values are interpreted as pixels, while percentage values calculate relative to the container. Custom positioning provides precise control over toast placement for specialized layouts or responsive requirements.

[Class-component]

import { ButtonComponent, RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ToastComponent } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
class App extends React.Component {
    toastInstance;
    customFlag;
    checkboxObj;
    dropDownInstance;
    radioInstance1;
    radioInstance;
    radioInstance2;
    radioInstance3;
    timeOutDelay = 600;
    dropdownDB = ['Top Left', 'Top Right', 'Top Center', 'Bottom Left', 'Bottom Right', 'Bottom Center'];
    constructor(props) {
        super(props);
        this.state = {
            position: { X: 'Center', Y: "Bottom" },
            target: document.body,
            width: 300
        };
    }
    toastCreated() {
        this.toastShow(600);
    }
    toastShow(timeOutDelay) {
        setTimeout(() => {
            this.toastInstance.show();
        }, timeOutDelay);
    }
    valueChange(e) {
        this.toastInstance.hide('All');
        this.setToastPosValue(e.value);
        this.toastShow(1000);
    }
    radioChange(e) {
        if (this.radioInstance.element.checked) {
            this.toastInstance.hide('All');
            document.getElementById('dropdownChoose').style.display = 'table-cell';
            document.getElementById('customChoose').style.display = 'none';
            this.setToastPosValue(this.dropDownInstance.value.toString());
            this.customFlag = true;
            this.toastShow(1000);
        }
    }
    radioChange3(e) {
        if (this.radioInstance3.element.checked) {
            this.toastInstance.hide('All');
            this.setState({ target: document.body });
            this.toastShow(1000);
        }
    }
    radioChange2(e) {
        if (this.radioInstance2.element.checked) {
            this.toastInstance.hide('All');
            this.setState({ target: '#toast_pos_target' });
            this.toastShow(1000);
        }
    }
    radioChange1(e) {
        if (this.radioInstance1.element.checked) {
            this.toastInstance.hide('All');
            document.getElementById('dropdownChoose').style.display = 'none';
            document.getElementById('customChoose').style.display = 'table-cell';
            this.setCustomPosValue();
            this.customFlag = true;
            this.toastShow(1000);
        }
    }
    setCustomPosValue() {
        this.setState({
            position: {
                X: parseInt(document.getElementById('xPos').value, 10),
                Y: parseInt(document.getElementById('yPos').value, 10)
            }
        });
    }
    setToastPosValue(value) {
        value = value.toLowerCase().replace(' ', '');
        switch (value) {
            case 'topleft':
                this.setState({ position: { X: 'Left', Y: 'Top' } });
                break;
            case 'topright':
                this.setState({ position: { X: 'Right', Y: 'Top' } });
                break;
            case 'topcenter':
                this.setState({ position: { X: 'Center', Y: 'Top' } });
                break;
            case 'topfullwidth':
                this.setState({ position: { X: 'Center', Y: 'Top' }, width: '100%' });
                break;
            case 'bottomleft':
                this.setState({ position: { X: 'Left', Y: 'Bottom' } });
                break;
            case 'bottomright':
                this.setState({ position: { X: 'Right', Y: 'Bottom' } });
                break;
            case 'bottomcenter':
                this.setState({ position: { X: 'Center', Y: 'Bottom' } });
                break;
            case 'bottomfullwidth':
                this.setState({ position: { X: 'Center', Y: 'Bottom' }, width: '100%' });
                break;
        }
    }
    render() {
        return (<div id="toast_pos_target">
        <div id="toast_full_Position" className='row'>
          <table>
            <tbody>
              <tr>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => this.radioInstance = custom} checked={true} label='Position' name="position" change={this.radioChange = this.radioChange.bind(this)}/>
                  </div>
                </td>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => this.radioInstance1 = custom} label='Custom' name="position" change={this.radioChange1 = this.radioChange1.bind(this)}/>
                  </div>
                </td>
              </tr>
              <tr>
                <td id="dropdownChoose" colSpan={2}>
                  <div>
                    <DropDownListComponent ref={drop => this.dropDownInstance = drop} id="ddlelement" dataSource={this.dropdownDB} placeholder="Select a Position" change={this.valueChange = this.valueChange.bind(this)} index='4'/>
                  </div>
                </td>
              </tr>
              <tr>
                <td id='customChoose'>
                  <div className='e-row'>
                    <div className='e-float-input'>
                      <input type='text' className='e-input' id='xPos' defaultValue={'50'} required={true}/>
                      <span className='e-float-line'/>
                      <label className="e-float-text">X Position</label>
                    </div>
                  </div>
                  <div className='e-row'>
                    <div className='e-float-input'>
                      <input type='text' className='e-input' id='yPos' defaultValue={'50'} required={true}/>
                      <span className='e-float-line'/>
                      <label className="e-float-text">Y Position</label>
                    </div>
                  </div>
                </td>
              </tr>
              <tr>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => this.radioInstance2 = custom} checked={true} label='Target' name="toast" change={this.radioChange2 = this.radioChange2.bind(this)}/>
                  </div>
                </td>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => this.radioInstance3 = custom} checked={true} label='Global' name="toast" change={this.radioChange3 = this.radioChange3.bind(this)}/>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <ButtonComponent cssClass="e-primary" onClick={this.toastShow = this.toastShow.bind(this, 500)}> Show Toast </ButtonComponent>
        <ToastComponent ref={toast => this.toastInstance = toast} title="Matt sent you a friend request" content="Hey, wanna dress up as wizards and ride our hoverboards?" target={this.state.target} width={this.state.width} position={this.state.position} created={this.toastCreated = this.toastCreated.bind(this)}/>
      </div>);
    }
}
;
export default App;
import { ButtonComponent, CheckBoxComponent, RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ToastComponent  } from '@syncfusion/ej2-react-notifications';
import * as React from "react";

class App extends React.Component<{}, {position: any, target: any, width: any}> {
  public toastInstance: ToastComponent;
  public customFlag: boolean;
  public checkboxObj: CheckBoxComponent;
  public dropDownInstance: DropDownListComponent;
  public radioInstance1: RadioButtonComponent;
  public radioInstance: RadioButtonComponent;
  public radioInstance2: RadioButtonComponent;
  public radioInstance3: RadioButtonComponent;
  public timeOutDelay: number = 600;
  public dropdownDB = ['Top Left', 'Top Right', 'Top Center', 'Bottom Left', 'Bottom Right', 'Bottom Center'];

  constructor(props: any) {
    super(props);
    this.state = {
      position: { X: 'Center', Y: "Bottom" },
      target: document.body,
      width: 300
    }
  }

  public toastCreated(): void {
    this.toastShow(600);
  }

  public toastShow(timeOutDelay: number) {
    setTimeout(
      () => {
        this.toastInstance.show();
      }, timeOutDelay);
  }

  public valueChange(e: any): void {
    this.toastInstance.hide('All');
    this.setToastPosValue(e.value);
    this.toastShow(1000);
  }
  public radioChange(e: any): void {
    if (this.radioInstance.element.checked) {
      this.toastInstance.hide('All');
      (document.getElementById('dropdownChoose') as HTMLElement).style.display = 'table-cell';
      (document.getElementById('customChoose') as HTMLElement).style.display = 'none';
      this.setToastPosValue(this.dropDownInstance.value.toString());
      this.customFlag = true;
      this.toastShow(1000);
    }
  }

  public radioChange3(e: any): void {
    if (this.radioInstance3.element.checked) {
      this.toastInstance.hide('All');
      this.setState({ target: document.body });
      this.toastShow(1000);
    }
  }

  public radioChange2(e: any): void {
    if (this.radioInstance2.element.checked) {
      this.toastInstance.hide('All');
      this.setState({ target: '#toast_pos_target' });
      this.toastShow(1000);
    }
  }

  public radioChange1(e: any): void {
    if (this.radioInstance1.element.checked) {
      this.toastInstance.hide('All');
      (document.getElementById('dropdownChoose') as HTMLElement).style.display = 'none';
      (document.getElementById('customChoose') as HTMLElement).style.display = 'table-cell';
      this.setCustomPosValue();
      this.customFlag = true;
      this.toastShow(1000);
    }
  }

  public setCustomPosValue(): void {
    this.setState({
      position: {
        X: parseInt((document.getElementById('xPos') as HTMLInputElement).value, 10),
        Y: parseInt((document.getElementById('yPos') as HTMLInputElement).value, 10)
      }
    });
  }

  public setToastPosValue(value: string): void {
    value = value.toLowerCase().replace(' ', '');
    switch (value) {
      case 'topleft':
        this.setState({ position: { X: 'Left', Y: 'Top' } });
        break;
      case 'topright':
        this.setState({ position: { X: 'Right', Y: 'Top' } });
        break;
      case 'topcenter':
        this.setState({ position: { X: 'Center', Y: 'Top' } });
        break;
      case 'topfullwidth':
        this.setState({ position: { X: 'Center', Y: 'Top' }, width: '100%' });
        break;
      case 'bottomleft':
        this.setState({ position: { X: 'Left', Y: 'Bottom' } });
        break;
      case 'bottomright':
        this.setState({ position: { X: 'Right', Y: 'Bottom' } });
        break;
      case 'bottomcenter':
        this.setState({ position: { X: 'Center', Y: 'Bottom' } });
        break;
      case 'bottomfullwidth':
        this.setState({ position: { X: 'Center', Y: 'Bottom' }, width: '100%' });
        break;
    }
  }

  public render() {
    return (
      <div id="toast_pos_target">
        <div id="toast_full_Position" className='row'>
          <table>
            <tbody>
              <tr>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => this.radioInstance = custom!} checked={true} label='Position' name="position" change={this.radioChange = this.radioChange.bind(this)} />
                  </div>
                </td>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => this.radioInstance1 = custom!} label='Custom' name="position" change={this.radioChange1 = this.radioChange1.bind(this)} />
                  </div>
                </td>
              </tr>
              <tr>
                <td id="dropdownChoose" colSpan={2}>
                  <div>
                    <DropDownListComponent ref={drop => this.dropDownInstance = drop!} id="ddlelement" dataSource={this.dropdownDB} placeholder="Select a Position" change={this.valueChange = this.valueChange.bind(this)} index='4' />
                  </div>
                </td>
              </tr>
              <tr>
                <td id='customChoose'>
                  <div className='e-row'>
                    <div className='e-float-input'>
                      <input type='text' className='e-input' id='xPos' defaultValue={'50'} required={true} />
                      <span className='e-float-line' />
                      <label className="e-float-text">X Position</label>
                    </div>
                  </div>
                  <div className='e-row'>
                    <div className='e-float-input'>
                      <input type='text' className='e-input' id='yPos' defaultValue={'50'} required={true} />
                      <span className='e-float-line' />
                      <label className="e-float-text">Y Position</label>
                    </div>
                  </div>
                </td>
              </tr>
              <tr>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => this.radioInstance2 = custom!} checked={true} label='Target' name="toast" change={this.radioChange2 = this.radioChange2.bind(this)} />
                  </div>
                </td>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => this.radioInstance3 = custom!} checked={true} label='Global' name="toast" change={this.radioChange3 = this.radioChange3.bind(this)} />
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <ButtonComponent cssClass="e-primary" onClick={this.toastShow = this.toastShow.bind(this, 500)}> Show Toast </ButtonComponent>
        <ToastComponent ref={toast => this.toastInstance = toast!} title="Matt sent you a friend request" content="Hey, wanna dress up as wizards and ride our hoverboards?" target={this.state.target} width={this.state.width} position={this.state.position} created={this.toastCreated = this.toastCreated.bind(this)} />
      </div>
    );
  }
};
export default App;

[Functional-component]

import { ButtonComponent, RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ToastComponent } from '@syncfusion/ej2-react-notifications';
import * as React from "react";
function App(position, target, width) {
    let toastInstance;
    let customFlag;
    let checkboxObj;
    let dropDownInstance;
    let radioInstance1;
    let radioInstance;
    let radioInstance2;
    let radioInstance3;
    let timeOutDelay = 600;
    let dropdownDB = ['Top Left', 'Top Right', 'Top Center', 'Bottom Left', 'Bottom Right', 'Bottom Center'];
    const [state1, setStatus1] = React.useState({ position: { X: 'Center', Y: "Bottom" } });
    const [state2, setStatus2] = React.useState({ target: document.body });
    const [state3, setStatus3] = React.useState({ width: '300' });
    function toastCreated() {
        toastShow(600);
    }
    function toastShow(timeOutDelay) {
        setTimeout(() => {
            toastInstance.show();
        }, timeOutDelay);
    }
    function valueChange(e) {
        toastInstance.hide('All');
        setToastPosValue(e.value);
        toastShow(1000);
    }
    function radioChange(e) {
        if (radioInstance.element.checked) {
            toastInstance.hide('All');
            document.getElementById('dropdownChoose').style.display = 'table-cell';
            document.getElementById('customChoose').style.display = 'none';
            setToastPosValue(dropDownInstance.value.toString());
            customFlag = true;
            toastShow(1000);
        }
    }
    function radioChange3(e) {
        if (radioInstance3.element.checked) {
            toastInstance.hide('All');
            setStatus2({ target: document.body });
            toastShow(1000);
        }
    }
    function radioChange2(e) {
        if (radioInstance2.element.checked) {
            toastInstance.hide('All');
            setStatus2({ target: '#toast_pos_target' });
            toastShow(1000);
        }
    }
    function radioChange1(e) {
        if (radioInstance1.element.checked) {
            toastInstance.hide('All');
            document.getElementById('dropdownChoose').style.display = 'none';
            document.getElementById('customChoose').style.display = 'table-cell';
            setCustomPosValue();
            customFlag = true;
            toastShow(1000);
        }
    }
    function setCustomPosValue() {
        setStatus1({
            position: {
                X: parseInt(document.getElementById('xPos').value),
                Y: parseInt(document.getElementById('yPos').value)
            }
        });
    }
    function setToastPosValue(value) {
        value = value.toLowerCase().replace(' ', '');
        switch (value) {
            case 'topleft':
                setStatus1({ position: { X: 'Left', Y: 'Top' } });
                break;
            case 'topright':
                setStatus1({ position: { X: 'Right', Y: 'Top' } });
                break;
            case 'topcenter':
                setStatus1({ position: { X: 'Center', Y: 'Top' } });
                break;
            case 'topfullwidth':
                setStatus1({ position: { X: 'Center', Y: 'Top' } });
                setStatus3({ width: '100%' });
                break;
            case 'bottomleft':
                setStatus1({ position: { X: 'Left', Y: 'Bottom' } });
                break;
            case 'bottomright':
                setStatus1({ position: { X: 'Right', Y: 'Bottom' } });
                break;
            case 'bottomcenter':
                setStatus1({ position: { X: 'Center', Y: 'Bottom' } });
                break;
            case 'bottomfullwidth':
                setStatus1({ position: { X: 'Center', Y: 'Bottom' } });
                setStatus3({ width: '100%' });
                break;
        }
    }
    return (<div id="toast_pos_target">
        <div id="toast_full_Position" className='row'>
          <table>
            <tbody>
              <tr>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => radioInstance = custom} checked={true} label='Position' name="position" change={radioChange.bind(this)}/>
                  </div>
                </td>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => radioInstance1 = custom} label='Custom' name="position" change={radioChange1.bind(this)}/>
                  </div>
                </td>
              </tr>
              <tr>
                <td id="dropdownChoose" colSpan={2}>
                  <div>
                    <DropDownListComponent ref={drop => dropDownInstance = drop} id="ddlelement" dataSource={dropdownDB} placeholder="Select a Position" change={valueChange.bind(this)} index={4}/>
                  </div>
                </td>
              </tr>
              <tr>
                <td id='customChoose'>
                  <div className='e-row'>
                    <div className='e-float-input'>
                      <input type='text' className='e-input' id='xPos' defaultValue={'50'} required={true}/>
                      <span className='e-float-line'/>
                      <label className="e-float-text">X Position</label>
                    </div>
                  </div>
                  <div className='e-row'>
                    <div className='e-float-input'>
                      <input type='text' className='e-input' id='yPos' defaultValue={'50'} required={true}/>
                      <span className='e-float-line'/>
                      <label className="e-float-text">Y Position</label>
                    </div>
                  </div>
                </td>
              </tr>
              <tr>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => radioInstance2 = custom} checked={true} label='Target' name="toast" change={radioChange2.bind(this)}/>
                  </div>
                </td>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => radioInstance3 = custom} checked={true} label='Global' name="toast" change={radioChange3.bind(this)}/>
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <ButtonComponent cssClass="e-primary" onClick={toastShow.bind(this, 500)}> Show Toast </ButtonComponent>
        <ToastComponent ref={toast => toastInstance = toast} title="Matt sent you a friend request" content="Hey, wanna dress up as wizards and ride our hoverboards?" target={state2.target} width={state3.width} position={state1.position} created={toastCreated.bind(this)}/>
      </div>);
}
export default App;
import { ButtonComponent, CheckBoxComponent, RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import { DropDownListComponent } from '@syncfusion/ej2-react-dropdowns';
import { ToastComponent  } from '@syncfusion/ej2-react-notifications';
import * as React from "react";

function App(position: any, target: any, width: any){
  let toastInstance: ToastComponent;
  let customFlag: boolean;
  let checkboxObj: CheckBoxComponent;
  let dropDownInstance: DropDownListComponent;
  let radioInstance1: RadioButtonComponent;
  let radioInstance: RadioButtonComponent;
  let radioInstance2: RadioButtonComponent;
  let radioInstance3: RadioButtonComponent;
  let timeOutDelay: number = 600;
  let dropdownDB = ['Top Left', 'Top Right', 'Top Center', 'Bottom Left', 'Bottom Right', 'Bottom Center'];
  const [state1, setStatus1] = React.useState({position: { X: 'Center', Y: "Bottom" }});
  const [state2, setStatus2] = React.useState({target: document.body});
  const [state3, setStatus3] = React.useState({width: '300'});


  function toastCreated(): void {
    toastShow(600);
  }

  function toastShow(timeOutDelay: number) {
    setTimeout(
      () => {
        toastInstance.show();
      }, timeOutDelay);
  }

  function valueChange(e: any): void {
    toastInstance.hide('All');
    setToastPosValue(e.value);
    toastShow(1000);
  }
  function radioChange(e: any): void {
    if (radioInstance.element.checked) {
      toastInstance.hide('All');
      (document.getElementById('dropdownChoose') as HTMLElement).style.display = 'table-cell';
      (document.getElementById('customChoose') as HTMLElement).style.display = 'none';
      setToastPosValue(dropDownInstance.value.toString());
      customFlag = true;
      toastShow(1000);
    }
  }

  function radioChange3(e: any): void {
    if (radioInstance3.element.checked) {
      toastInstance.hide('All');
      setStatus2({ target: document.body });
      toastShow(1000);
    }
  }

  function radioChange2(e: any): void {
    if (radioInstance2.element.checked) {
      toastInstance.hide('All');
      setStatus2({ target: '#toast_pos_target'});
      toastShow(1000);
    }
  }

  function radioChange1(e: any): void {
    if (radioInstance1.element.checked) {
      toastInstance.hide('All');
      (document.getElementById('dropdownChoose') as HTMLElement).style.display = 'none';
      (document.getElementById('customChoose') as HTMLElement).style.display = 'table-cell';
      setCustomPosValue();
      customFlag = true;
      toastShow(1000);
    }
  }

  function setCustomPosValue(): void {
    setStatus1({
      position: {
        X: parseInt((document.getElementById('xPos') as HTMLInputElement).value),
        Y: parseInt((document.getElementById('yPos') as HTMLInputElement).value)
      }
    });
  }

  function setToastPosValue(value: string): void {
    value = value.toLowerCase().replace(' ', '');
    switch (value) {
      case 'topleft':
        setStatus1({ position: { X: 'Left', Y: 'Top' } });
        break;
      case 'topright':
        setStatus1({ position: { X: 'Right', Y: 'Top' } });
        break;
      case 'topcenter':
        setStatus1({ position: { X: 'Center', Y: 'Top' } });
        break;
      case 'topfullwidth':
        setStatus1({ position: { X: 'Center', Y: 'Top' }});
        setStatus3({width: '100%' });
        break;
      case 'bottomleft':
        setStatus1({ position: { X: 'Left', Y: 'Bottom' } });
        break;
      case 'bottomright':
        setStatus1({ position: { X: 'Right', Y: 'Bottom' } });
        break;
      case 'bottomcenter':
        setStatus1({ position: { X: 'Center', Y: 'Bottom' } });
        break;
      case 'bottomfullwidth':
        setStatus1({ position: { X: 'Center', Y: 'Bottom' }});
        setStatus3({width: '100%' });
        break;
    }
  }

    return (
      <div id="toast_pos_target">
        <div id="toast_full_Position" className='row'>
          <table>
            <tbody>
              <tr>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => radioInstance = custom!} checked={true} label='Position' name="position" change={radioChange.bind(this)} />
                  </div>
                </td>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => radioInstance1 = custom!} label='Custom' name="position" change={radioChange1.bind(this)} />
                  </div>
                </td>
              </tr>
              <tr>
                <td id="dropdownChoose" colSpan={2}>
                  <div>
                    <DropDownListComponent ref={drop => dropDownInstance = drop!} id="ddlelement" dataSource={dropdownDB} placeholder="Select a Position" change={valueChange.bind(this)} index={4} />
                  </div>
                </td>
              </tr>
              <tr>
                <td id='customChoose'>
                  <div className='e-row'>
                    <div className='e-float-input'>
                      <input type='text' className='e-input' id='xPos' defaultValue={'50'} required={true} />
                      <span className='e-float-line' />
                      <label className="e-float-text">X Position</label>
                    </div>
                  </div>
                  <div className='e-row'>
                    <div className='e-float-input'>
                      <input type='text' className='e-input' id='yPos' defaultValue={'50'} required={true} />
                      <span className='e-float-line' />
                      <label className="e-float-text">Y Position</label>
                    </div>
                  </div>
                </td>
              </tr>
              <tr>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => radioInstance2 = custom!} checked={true} label='Target' name="toast" change={radioChange2.bind(this)} />
                  </div>
                </td>
                <td>
                  <div>
                    <RadioButtonComponent ref={custom => radioInstance3 = custom!} checked={true} label='Global' name="toast" change={radioChange3.bind(this)} />
                  </div>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
        <ButtonComponent cssClass="e-primary" onClick={toastShow.bind(this, 500)}> Show Toast </ButtonComponent>
        <ToastComponent ref={toast => toastInstance = toast!} title="Matt sent you a friend request" content="Hey, wanna dress up as wizards and ride our hoverboards?" target={state2.target} width={state3.width} position={state1.position} created={toastCreated.bind(this)} />
      </div>
    );
}
export default App;

See Also